- Cal3D 0.11 API Reference -

Public Member Functions | List of all members
CalAnimationCycle Class Reference
Inheritance diagram for CalAnimationCycle:

## Public Member Functions

| CalAnimationCycle (CalCoreAnimation *pCoreAnimation)
| Constructs the animation cycle instance.
bool | blend (float weight, float delay)
| Interpolates the weight of the animation cycle instance.
void | setAsync (float time, float duration)
| Puts the animation cycle instance into async state.
bool | update (float deltaTime)
| Updates the animation cycle instance.
Public Member Functions inherited from CalAnimation
CalCoreAnimation * | getCoreAnimation ()
| Provides access to the core animation.
State | getState ()
| Returns the state.
float | getTime ()
| Returns the time.
Type | getType ()
| Returns the type.
float | getWeight ()
| Returns the weight.
void | setTime (float time)
| Set the time.
void | setTimeFactor (float timeFactor)
| Set the time factor.
float | getTimeFactor ()
| Get the time factor.
void | checkCallbacks (float animationTime, CalModel *model)
void | completeCallbacks (CalModel *model)

## Additional Inherited Members

Public Types inherited from CalAnimation
enum | Type { TYPE_NONE = 0 , TYPE_CYCLE , TYPE_POSE , TYPE_ACTION }
enum | State { STATE_NONE = 0 , STATE_SYNC , STATE_ASYNC , STATE_IN , STATE_STEADY , STATE_OUT , STATE_STOPPED }
Protected Member Functions inherited from CalAnimation
| CalAnimation (CalCoreAnimation *pCoreAnimation)
void | setType (Type type)
void | setState (State state)
void | setWeight (float weight)

## Constructor & Destructor Documentation

## ◆ CalAnimationCycle()

CalAnimationCycle::CalAnimationCycle | ( | CalCoreAnimation * | pCoreAnimation | ) |

Constructs the animation cycle instance.

This function is the default constructor of the animation cycle instance.

## Member Function Documentation

## ◆ blend()

bool CalAnimationCycle::blend | ( | float | weight,
|  | float | delay )

Interpolates the weight of the animation cycle instance.

This function interpolates the weight of the animation cycle instance to a new value in a given amount of time.

Parameters

  weight | The weight to interpolate the animation cycle instance to.
  delay | The time in seconds until the new weight should be reached.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ setAsync()

void CalAnimationCycle::setAsync | ( | float | time,
|  | float | duration )

Puts the animation cycle instance into async state.

This function puts the animation cycle instance into async state, which means that it will end after the current running cycle.

Parameters

  time | The time in seconds at which the animation cycle instance was unlinked from the global mixer animation cycle.
  duration | The current duration of the global mixer animation cycle in seconds at the time of the unlinking.

## ◆ update()

bool CalAnimationCycle::update | ( | float | deltaTime | ) |

Updates the animation cycle instance.

This function updates the animation cycle instance for a given amount of time.

Parameters

  deltaTime | The elapsed time in seconds since the last update.

Returns
  One of the following values:
  - true if the animation cycle instance is still active
  - false if the execution of the animation cycle instance has ended

The documentation for this class was generated from the following files:

- animation_cycle.h
- animation_cycle.cpp

Generated by The Cal3D Team with Doxygen 1.15.0